action = "simulation"
target = "xilinx"
sim_tool = "ghdl"
sim_top = "tb_vmecore_test"
vcom_opt = "-93 -mixedsvvh"
ghdl_opt = "-fsynopsys"

svec_template_ucf = []
syn_device = "xc6slx150t"  # For rams.
board = "svec"
ctrls = ["bank4_64b_32b"]

# Allow the user to override fetchto using:
#  hdlmake -p "fetchto='xxx'"
if locals().get('fetchto', None) is None:
  fetchto = "../../ip_cores"

#include_dirs=[fetchto + "/vme64x-core/hdl/sim/vme64x_bfm",
#              fetchto + "/general-cores/sim"]

files = [ "buildinfo_pkg.vhd", "tb_vmecore_test.vhd"]

modules = {
  "local" :  [
    "../../sim/vhdl_sim",
    "../../top/vmecore_test" ],
  "git" : [
#      "https://ohwr.org/project/wr-cores.git",
      "https://ohwr.org/project/general-cores.git",
      "https://ohwr.org/project/vme64x-core.git",
#      "https://ohwr.org/project/ddr3-sp6-core.git",
  ],
}

# Do not fail during hdlmake fetch
try:
    exec(open(fetchto + "/general-cores/tools/gen_buildinfo.py").read())
except:
    pass
